# Class ColumnNode

java.lang.Object
org.apache.cayenne.access.sqlbuilder.sqltree.Node
org.apache.cayenne.access.sqlbuilder.sqltree.ColumnNode

public class ColumnNode extends Node

Since:
  4.2

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `alias`
  `protected final DbAttribute`
  `attribute`
  `protected final String`
  `column`
  `protected final String`
  `table`

  ### Fields inherited from class Node

  `children, childrenCount, parent, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColumnNode(String table, String column, String alias, DbAttribute attribute)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SQLAppendable`
  `append(SQLAppendable buffer, SQLGenerationContext context)`
  `Node`
  `copy()`
  `boolean`
  `equals(Object o)`
  `String`
  `getAlias()`
  `DbAttribute`
  `getAttribute()`
  `String`
  `getColumn()`
  `String`
  `getTable()`
  `int`
  `hashCode()`
  `void`
  `setAlias(String alias)`

  ### Methods inherited from class Node

  `addChild, addChild, appendChildrenEnd, appendChildrenSeparator, appendChildrenStart, deepCopy, deepEquals, getChild, getChildrenCount, getParent, getType, replaceChild, setParent, toString, visit`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### table

    protected final String table

  - ### column

    protected final String column

  - ### attribute

    protected final DbAttribute attribute

  - ### alias

    protected String alias

- ## Constructor Details

  - ### ColumnNode

    public ColumnNode(String table, String column, String alias, DbAttribute attribute)

- ## Method Details

  - ### append

    public SQLAppendable append(SQLAppendable buffer, SQLGenerationContext context)
    Specified by:
      `append` in class `Node`

  - ### getTable

    public String getTable()

  - ### getColumn

    public String getColumn()

  - ### getAlias

    public String getAlias()

  - ### setAlias

    public void setAlias(String alias)

  - ### getAttribute

    public DbAttribute getAttribute()

  - ### copy

    public Node copy()
    Specified by:
      `copy` in class `Node`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Node`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Node`